import argparse
from app.watermark import watermark_text_bottom_right


parser = argparse.ArgumentParser(__name__)
parser.add_argument("-f", "--font", required=True, help='TTF Font file')
parser.add_argument("-t", "--text", required=True, help='Text watermark')
parser.add_argument("-i", "--input_filename", required=True, help='Input filename')
parser.add_argument("-o", "--output_filename", required=True, help='Output filename')
args = parser.parse_args()


if __name__ == '__main__':
    watermark_text_bottom_right(
        input_image_path=args.input_filename, 
        output_image_path=args.output_filename, 
        text=args.text, 
        font_path=args.font, 
        pos=(1000, 200),
        size=60)